Authentication (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server

## Interface Authentication

- All Known Subinterfaces:
    Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped
  All Known Implementing Classes:
    DeferredAuthentication, FormAuthenticator.FormAuthentication, SessionAuthentication, UserAuthentication

      public interface Authentication

  The Authentication state of a request.

  The Authentication state can be one of several sub-types that reflects where the request is in the many different authentication cycles. Authentication might not yet be checked or it might be checked and failed, checked and deferred or succeeded.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Authentication.Challenge` An Authentication Challenge has been sent.
    `static interface` | `Authentication.Deferred` A deferred authentication with methods to progress the authentication process.
    `static interface` | `Authentication.Failure` An Authentication Failure has been sent.
    `static interface` | `Authentication.ResponseSent` Authentication Response sent state.
    `static interface` | `Authentication.SendSuccess`
    `static interface` | `Authentication.User` A successful Authentication with User information.
    `static interface` | `Authentication.Wrapped` A wrapped authentication with methods provide the wrapped request/response for use by the application

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Authentication` | `NOT_CHECKED` Authentication not checked
    `static Authentication` | `SEND_CONTINUE` Authentication challenge sent.
    `static Authentication` | `SEND_FAILURE` Authentication failure sent.
    `static Authentication` | `SEND_SUCCESS`
    `static Authentication` | `UNAUTHENTICATED` Unauthenticated state.

- - ### Field Detail

    - #### UNAUTHENTICATED

          static final Authentication UNAUTHENTICATED

      Unauthenticated state.

      This convenience instance is for non mandatory authentication where credentials have been presented and checked, but failed authentication.

    - #### NOT_CHECKED

          static final Authentication NOT_CHECKED

      Authentication not checked

      This convenience instance us for non mandatory authentication when no credentials are present to be checked.

    - #### SEND_CONTINUE

          static final Authentication SEND_CONTINUE

      Authentication challenge sent.

      This convenience instance is for when an authentication challenge has been sent.

    - #### SEND_FAILURE

          static final Authentication SEND_FAILURE

      Authentication failure sent.

      This convenience instance is for when an authentication failure has been sent.

    - #### SEND_SUCCESS

          static final Authentication SEND_SUCCESS

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.